Bug 179805 - e1000 kernel module does not accept DHCP IP addresses
e1000 kernel module does not accept DHCP IP addresses
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 21:06 EST by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 11:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of sysreport (316.75 KB, application/x-bzip)
2006-02-05 14:58 EST, Michael J Knox
no flags Details
sysreport (551.96 KB, application/x-bzip)
2006-02-09 05:23 EST, Kasper Ligaard Nielsen
no flags Details
Output of running tcpdump -n -i eth0 (2.07 KB, text/plain)
2006-02-09 05:25 EST, Kasper Ligaard Nielsen
no flags Details
Output of running lspci (1.64 KB, text/plain)
2006-02-09 12:21 EST, Kasper Ligaard Nielsen
no flags Details
tcpdump, done with the jwltest-8 kernel (1.76 KB, text/plain)
2006-02-14 11:59 EST, Kasper Ligaard Nielsen
no flags Details

  None (edit)
Description Michael J Knox 2006-02-02 21:06:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
Installed FC5T2, e1000 onboard NIC would not work. Installed a e100 NIC, updated to the current rawhide kernel (as per advise from Dave Jones). e1000 still does not work. 

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1884_FC5

How reproducible:
Always

Steps to Reproduce:
1. Install and run FC Rawhide
2.
3.
  

Actual Results:  lspci shows: 

03:00.0 Ethernet Controller: Intel Corpation 82573E Gigabit Ethernet Controller (Copper) (rev 0.3)

ifconfig shows the link is up, but no address is asigned. 

dmesg output:

e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
e1000: eth0: e1000_watchdog_task: NIC Link is up 100Mbps Full Duplex.

Expected Results:  to see an IP address in "ifconfig"

Additional info:

The motherboard is a SuperMicro PDSGE.
Comment 1 Michael J Knox 2006-02-02 21:52:51 EST
Same applies for 2.6.15-1.1895_FC5
Comment 2 John W. Linville 2006-02-03 16:26:50 EST
Please attach the output of running "sysreport"...thanks! 
Comment 3 Michael J Knox 2006-02-05 14:58:06 EST
Created attachment 124224 [details]
output of sysreport
Comment 4 John W. Linville 2006-02-06 08:50:52 EST
This relates to the problem described in the fedora-devel-list thread "e1000 
in rawhide kernel", correct? 
 
From that thread, the interface works correctly if you use a static IP address 
configuration.  Is that correct?  Just establishing the baseline... :-) 
 
Can you provide the output of running "tcpdump -n -i eth0" while you do "ifup 
eth0" in another window (using the DHCP configuration)?  Thanks! 
Comment 5 Kasper Ligaard Nielsen 2006-02-09 05:21:08 EST
I have the same problem except that I can not even connect using a static IP. I
have an Intel EtherExpress/1000 gigabit (Intel Copporation 82573V Gigabit
Ethernet Controller (Copper)).
In the system-config-network thingy I am not given the possibility to setup
dhcp: It is grayed out in the configuration dialog.
On logout the system hangs with 'Removing IPtables modules'; I can not even
Ctrl-Alt-Del, but have to hard-reset the machine.
Output of sysreport -norpm and tcpdump -n -i eth0 will follow shortly.
Comment 6 Kasper Ligaard Nielsen 2006-02-09 05:23:11 EST
Created attachment 124427 [details]
sysreport
Comment 7 Kasper Ligaard Nielsen 2006-02-09 05:25:02 EST
Created attachment 124428 [details]
Output of running tcpdump -n -i eth0

I did an 'ifdown eth0' just before doing 'ifup eth0'.
Comment 8 Kasper Ligaard Nielsen 2006-02-09 07:19:59 EST
Comment on attachment 124427 [details]
sysreport

Corrected .gz to .bz2 (and updated MIME Type).
Comment 9 Kasper Ligaard Nielsen 2006-02-09 12:21:47 EST
Created attachment 124443 [details]
Output of running lspci

I do not know whether this helps but Mr. Knox provided it, so I will do the
same.
Comment 10 John W. Linville 2006-02-13 15:01:53 EST
I have FC5 test kernels w/ an e1000 update available here: 
 
   http://people.redhat.com/linville/kernels/fc5/ 
 
Please give them a try and post the results here...thanks! 
Comment 11 Kasper Ligaard Nielsen 2006-02-13 16:36:50 EST
I did 'rpm -Uvh kernel...' logged out and back in using the new kernel:
Unfortunately there is no change at all :-(

If any new data is needed, then just tell me so :-)
Comment 12 John W. Linville 2006-02-14 11:04:57 EST
Not 100% sure, but I think you should install kernel packages as "rpm -ihv" 
instead.  Also, does "logged out and back in using the new kernel" imply a 
reboot?  You will need to reboot for the new kernel to take effect. 
 
Just to be sure, please post the output of "uname -a"...thanks! 
Comment 13 Kasper Ligaard Nielsen 2006-02-14 11:32:09 EST
It did include a reboot. Just to be sure, I re-installed the kernel using 'rpm
-ivh --force kernel...'. Then I rebooted.

The output of uname is:

# uname -a
Linux localhost.localdomain 2.6.15-1.1941.2.1_FC5.jwltest.8 #1 Mon Feb 13
13:00:42 EST 2006 i686 i686 i386 GNU/Linux
Comment 14 Kasper Ligaard Nielsen 2006-02-14 11:58:19 EST
When I click the 'Probe' button in system-config-network, to probe the
MAC-address, then it finds 00:00:00:00

Something has changed with the new kernel: During startup I get a green 'OK'
when initializing eth0. It still takes a long time, so I do not really trust the
'OK'...

I have done a new tcpdump, which will be uploaded shortly.
Comment 15 Kasper Ligaard Nielsen 2006-02-14 11:59:49 EST
Created attachment 124623 [details]
tcpdump, done with the jwltest-8 kernel
Comment 16 Kasper Ligaard Nielsen 2006-02-21 19:14:08 EST
This seems fixed in FC5 test 3.

I do get some periodic spikes in network traffic, but I will have to investigate
further. If it is a problem I will open a seperate bug on it.

I think this bug could be closed.
Comment 17 Michael J Knox 2006-02-21 20:22:50 EST
So you can get an IP address and use the NIC as one would expect? I sadly have
not had any time to test this further, but do have a machine and some time next
week too look.
Comment 18 Kasper Ligaard Nielsen 2006-02-22 11:50:59 EST
Yes: DHCP, probing for a MAC address, using the network in general - it all
works. I can configure an activate/deactivate the NIC from the
system-config-network gui etc.
Comment 19 John W. Linville 2006-02-23 11:27:06 EST
I'm going to go ahead and close this based on ligaard's reports.  Micheal, 
plese reopen this if you still experience the issue.  Thanks! 

Note You need to log in before you can comment on or make changes to this bug.